For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Workflows

add_to_id

POST
https://api.groundx.ai/api/v1/workflow/relationship/:id
POST
/api/v1/workflow/relationship/:id
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.workflows.add_to_id(
8 id=1,
9 workflow_id="3fa85f64-5717-4562-b3fc-2c963f66afa6",
10)
200Successful
1{
2 "message": "Workflow successfully assigned to group 1"
3}
Assigns the given workflow to the group or bucket and is applied by default to all files unless overridden by document workflows.
Was this page helpful?
Previous

remove_from_id

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

idintegerRequired
The id of the group or bucket that the workflow will be assigned to.

Request

This endpoint expects an object.
workflowIdstringRequiredformat: "uuid"
The id of the workflow that is being applied.

Response

Apply success
messagestring